/*
 * @Author: Nian Yi
 * @Date: 2022-04-12 13:46:43
 * @LastEditTime: 2022-04-12 13:52:22
 * @LastEditors: Nian Yi
 * @Description: 错误边界
 * @FilePath: /easyvadmin/src/scripts/components/ErrorBoundary/index.tsx
 * 奥利给
 */
import React from 'react';

export class ErrorBoundary extends React.Component {
  constructor(props) {
    super(props);
    this.state = { hasError: false };
  }

  static getDerivedStateFromError(error) {
    // 更新 state 使下一次渲染能够显示降级后的 UI
    return { hasError: true };
  }

  componentDidCatch(error, errorInfo) {
    // 你同样可以将错误日志上报给服务器
    console.log(error, errorInfo, '错误打印');
  }

  render() {
    //   if (this.state.hasError) {
    //     // 你可以自定义降级后的 UI 并渲染
    //     return <h1>Something went wrong.</h1>;
    //   }

    return this.props.children;
  }
}
